SystemOrganization addCategory: #'NetworkAddress-Model'!
SystemOrganization addCategory: #'NetworkAddress-Description'!
SystemOrganization addCategory: #'NetworkAddress-Component'!
SystemOrganization addCategory: #'NetworkAddress-Test'!
SystemOrganization addCategory: #'NetworkAddress-Exception'!

MANumberDescription subclass: #NAICQDescription
	instanceVariableNames: 'imageIndex'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Description'!

!NAICQDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 3/24/2006 15:59'!
defaultComponentClasses
	^Array with: NAICQComponent! !

!NAICQDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 9/28/2005 20:54'!
defaultImageIndex
	^10! !

!NAICQDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 8/23/2006 09:58'!
defaultReportColumnClasses
	^ Array with: MADescribedComponentColumn with: MADescribedColumn! !

!NAICQDescription class methodsFor: 'accessing-description' stamp: 'pmm 11/7/2005 00:28'!
descriptionImageIndex
	"^(MANumberDescription selector: #imageIndex label: 'Design #' priority: 100)
		lowerBounds: self imageIndexLowerBound;
		upperBounds: self imageIndexUpperBound;
		beRequired;
		yourself"
	^(MASingleOptionDescription selector: #imageIndex label: 'Design #' priority: 100)
		options: self possibleImageIndices;
		default: self defaultImageIndex;
		reference: MANumberDescription new;
		beRequired;
		yourself.
		! !

!NAICQDescription class methodsFor: 'private' stamp: 'pmm 9/28/2005 20:52'!
imageIndexLowerBound
	^0! !

!NAICQDescription class methodsFor: 'private' stamp: 'pmm 9/28/2005 20:53'!
imageIndexUpperBound
	^25! !

!NAICQDescription class methodsFor: 'accessing' stamp: 'pmm 11/12/2005 17:11'!
label
	^ 'ICQ'! !

!NAICQDescription class methodsFor: 'private' stamp: 'pmm 9/28/2005 20:53'!
possibleImageIndices
	^(self imageIndexLowerBound to: self imageIndexUpperBound) asArray! !

!NAICQDescription methodsFor: 'visiting' stamp: 'pmm 10/3/2007 21:57'!
acceptMagritte: aVisitor
	aVisitor visitICQDescription: self! !

!NAICQDescription methodsFor: 'accessing' stamp: 'pmm 9/28/2005 20:47'!
imageIndex
	^imageIndex! !

!NAICQDescription methodsFor: 'accessing' stamp: 'pmm 9/28/2005 20:47'!
imageIndex: anInteger 
	imageIndex := anInteger! !

!NAICQDescription methodsFor: 'initialize-release' stamp: 'pmm 9/30/2005 10:06'!
initialize
	super initialize.
	self flag: #todo. "restrict to positive integer"
	self imageIndex: self class defaultImageIndex! !

MAValidationError subclass: #NAInvalidEmailError
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Exception'!

!MAVisitor methodsFor: '*NetworkAddress' stamp: 'pmm 10/3/2007 21:55'!
visitAIMDescription: aDescription
	self visitStringDescription: aDescription! !

!MAVisitor methodsFor: '*NetworkAddress' stamp: 'pmm 10/3/2007 21:54'!
visitEmailDescription: aDescription
	self visitStringDescription: aDescription! !

!MAVisitor methodsFor: '*NetworkAddress' stamp: 'pmm 10/3/2007 21:54'!
visitICQDescription: aDescription
	self visitStringDescription: aDescription! !

!MAVisitor methodsFor: '*NetworkAddress' stamp: 'pmm 10/3/2007 21:51'!
visitUrlDescription: aDescription
	self visitStringDescription: aDescription! !

!MAVisitor methodsFor: '*NetworkAddress' stamp: 'pmm 10/3/2007 21:54'!
visitYahooDescription: aDescription
	self visitStringDescription: aDescription! !

MATextInputComponent subclass: #NAEmailComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Component'!

!NAEmailComponent methodsFor: 'rendering' stamp: 'pmm 3/5/2007 11:12'!
renderEditorOn: html
	html textInput
		attributes: self attributes;
		class: 'email-field';
		id: self labelId;
		on: #string of: self! !

!NAEmailComponent methodsFor: 'rendering' stamp: 'pmm 11/6/2005 21:23'!
renderViewerOn: html
	html anchor mailto: self string! !

MATextInputComponent subclass: #NAIMComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Component'!

!NAIMComponent methodsFor: 'accessing' stamp: 'pmm 11/12/2005 16:47'!
altText
	self subclassResponsability ! !

!NAIMComponent methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:21'!
cssClass
	self subclassResponsibility ! !

!NAIMComponent methodsFor: 'testing' stamp: 'pmm 11/12/2005 16:44'!
displayStatus
	^self string isEmptyOrNil not! !

!NAIMComponent methodsFor: 'accessing' stamp: 'pmm 11/12/2005 16:48'!
queryUrl
	self subclassResponsability ! !

!NAIMComponent methodsFor: 'rendering' stamp: 'pmm 3/5/2007 11:21'!
renderEditorOn: html
	html textInput
		attributes: self attributes;
		class: self cssClass;
		id: self labelId;
		on: #string of: self! !

!NAIMComponent methodsFor: 'rendering' stamp: 'pmm 11/12/2005 16:48'!
renderStatusIconOn: html
	html image
		url: self queryUrl ;
		altText: self altText! !

!NAIMComponent methodsFor: 'rendering' stamp: 'pmm 11/12/2005 16:47'!
renderViewerOn: html	
	self displayStatus
		ifFalse: [ super renderViewerOn: html ]
		ifTrue: [
			html table: [
				html tableRow: [
					html tableData
						style: 'vertical-align:middle';
						with: [ super renderViewerOn: html ].
					html tableData
						style: 'vertical-align:middle';
						with: [ self renderStatusIconOn: html ] ] ] ]! !

NAIMComponent subclass: #NASendableIMComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Component'!

NASendableIMComponent subclass: #NAAIMComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Component'!

!NAAIMComponent commentStamp: '<historical>' prior: 0!
http://www.aim.com/remote/index.adp?aolp=
<img src=http://big.oscar.aol.com/screenname?on_url=http://www.aim.com/remote/gr/MNB_online.gif&off_url=http://www.aim.com/remote/gr/MNB_offline.gif border=0 width=11 height=13>!

!NAAIMComponent methodsFor: 'accessing' stamp: 'pmm 11/12/2005 16:50'!
altText
	^'AIM status of ' , self string! !

!NAAIMComponent methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:21'!
cssClass
	^'aim-field'! !

!NAAIMComponent methodsFor: 'accessing' stamp: 'pmm 11/12/2005 17:02'!
queryUrl
	^String streamContents: [ :stream |
		stream
			nextPutAll: 'http://big.oscar.aol.com/';
			nextPutAll: self string;
			nextPutAll: '?on_url=';
			nextPutAll: self description onlineUrl;
			nextPutAll: '&off_url=';
			nextPutAll: self description offlineUrl]! !

!NAAIMComponent methodsFor: 'accessing' stamp: 'pmm 11/13/2005 01:15'!
sendUrl
	^'aim:goim?screenname=' , self string! !

NASendableIMComponent subclass: #NAICQComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Component'!

!NAICQComponent commentStamp: '<historical>' prior: 0!
http://www.icq.com/features/web/indicator.html
http://www.icq.com/panels/wwp/
http://www.icq.com/webtools/webmasters.html
http://www.icq.com/whitepages/search_result.php?search_type=&fname=&lname=wasserfallen&nickname=&gender=&age_group=&home_country_code=&email=!

!NAICQComponent methodsFor: 'accessing' stamp: 'pmm 11/12/2005 16:46'!
altText
	^'ICQ status of ' , self string! !

!NAICQComponent methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:22'!
cssClass
	^'icq-field'! !

!NAICQComponent methodsFor: 'private' stamp: 'pmm 9/28/2005 20:57'!
imageIndex
	^self description imageIndex! !

!NAICQComponent methodsFor: 'private' stamp: 'pmm 11/12/2005 16:45'!
queryUrl
	^String streamContents: [ :stream |
		stream
			nextPutAll: 'http://status.icq.com/online.gif?icq=';
			nextPutAll: self string;
			nextPutAll: '&img=';
			nextPutAll: self imageIndex asString ]! !

!NAICQComponent methodsFor: 'accessing' stamp: 'pmm 11/13/2005 01:12'!
sendUrl
	^'http://www.icq.com/whitepages/wwp.php?uin=' , self string! !

!NASendableIMComponent methodsFor: 'rendering' stamp: 'pmm 11/13/2005 23:10'!
renderStatusIconOn: html
	self displayStatus
		ifFalse: [ super renderStatusIconOn: html ]
		ifTrue: [
			html anchor
				url: self sendUrl;
				with: [ super renderStatusIconOn: html ] ]! !

!NASendableIMComponent methodsFor: 'accessing' stamp: 'pmm 12/9/2005 15:43'!
sendUrl
	self subclassResponsability ! !

NASendableIMComponent subclass: #NAYahooComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Component'!

!NAYahooComponent commentStamp: '<historical>' prior: 0!
http://messenger.yahoo.com/messenger/help/online.html
http://confluence.atlassian.com/display/CONFEXT/Yahoo+Status+macro
http://curl.haxx.se/mail/curlphp-2005-01/0029.html!

!NAYahooComponent methodsFor: 'accessing' stamp: 'pmm 11/12/2005 17:07'!
altText
	^'Yahoo status of ' , self string! !

!NAYahooComponent methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:22'!
cssClass
	^'yahoo-field'! !

!NAYahooComponent methodsFor: 'accessing' stamp: 'pmm 11/13/2005 00:56'!
queryUrl
	^String streamContents: [ :stream |
		stream
			nextPutAll: 'http://opi.yahoo.com/online?u=';
			nextPutAll: self string;
			nextPutAll: '&m=g&t=';
			nextPutAll: self description themeIndex asString ]! !

!NAYahooComponent methodsFor: 'accessing' stamp: 'pmm 11/13/2005 01:08'!
sendUrl
	^'http://edit.yahoo.com/config/send_webmesg?.target=' , self string! !

MATextInputComponent subclass: #NAJabberComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Component'!

!NAJabberComponent commentStamp: '<historical>' prior: 0!
http://edgar.netflint.net/howto.php!

MATextInputComponent subclass: #NAUrlComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Component'!

!NAUrlComponent methodsFor: 'rendering' stamp: 'pmm 3/24/2006 17:40'!
renderViewerOn: html
	html anchor
		url: (Url absoluteFromText: self string) displayString;
		with: self string! !

!MADescription methodsFor: '*NetworkAddress' stamp: 'nl 1/11/2007 14:48'!
emailErrorMessage
	^ self propertyAt: #emailErrorMessage ifAbsent: [ 'Invalid email address' ]! !

!MADescription methodsFor: '*NetworkAddress' stamp: 'nl 1/11/2007 14:48'!
emailErrorMessage: aString
	^ self propertyAt: #emailErrorMessage put: aString! !

TestCase subclass: #NAGravatarTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Test'!

!NAGravatarTest methodsFor: 'testing' stamp: 'pmm 8/14/2006 01:03'!
testAddressHash
	| gravatar |
	gravatar := NAGravatar new.
	gravatar emailAddress: 'The quick brown fox jumps over the lazy dog'.
	self assert: gravatar computeAddressHash = '9e107d9d372bb6826bd81d3542a419d6'.! !

!NAGravatarTest methodsFor: 'testing' stamp: 'pmm 8/14/2006 09:25'!
testSample
	| gravatar |
	gravatar := NAGravatar new
		emailAddress: 'no@spam.com';
		rating: 'R';
		size: 40;
		default: 'http://www.somesite.com/someimage.jpg';
		border: (Color r: 16rFF g: 16r00 b: 16r00 range: 255);
		yourself.
	"self assert: gravatar url = 'http://www.gravatar.com/avatar.php?gravatar_id=17a97e09a1b23bc733ae22880a961b59&rating=R&size=40&default=http://www.somesite.com/someimage.jpg&border=FF0000'"
	self assert: gravatar url = 'http://www.gravatar.com/avatar.php?gravatar_id=17a97e09a1b23bc733ae22880a961b59&rating=R&size=40&default=http%3A%2F%2Fwww.somesite.com%2Fsomeimage.jpg&border=FF0000'! !

MAStringDescriptionTest subclass: #NAEmailDescriptionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Test'!

!NAEmailDescriptionTest methodsFor: 'private' stamp: 'nl 12/21/2006 10:03'!
actualClass
	^NAEmailDescription ! !

!NAEmailDescriptionTest methodsFor: 'private' stamp: 'pmm 8/28/2005 15:48'!
includedInstance
	^'myname@sub.domain.com'! !

!NAEmailDescriptionTest methodsFor: 'testing-validation' stamp: 'pmm 11/14/2005 12:14'!
testNegative
	self should: [ self description validate: 'me@spam' ] raise: MAValidationError.
	self should: [ self description validate: 'super.com' ] raise: MAValidationError.
	self should: [ self description validate: '@super.com' ] raise: MAValidationError.
	self should: [ self description validate: 'me.self@' ] raise: MAValidationError.
	self should: [ self description validate: 'me.self' ] raise: MAValidationError.! !

!NAEmailDescriptionTest methodsFor: 'testing-validation' stamp: 'pmm 8/28/2005 15:49'!
testPositive
	self assert: (self description isSatisfiedBy: 'me@spam.com').
	self assert: (self description isSatisfiedBy: 'me@spam.super.com').
	self assert: (self description isSatisfiedBy: 'me.self@spam.com').
	self assert: (self description isSatisfiedBy: 'me.self@spam.com').
	self assert: (self description isSatisfiedBy: 'me.self1@spam.com').
	self assert: (self description isSatisfiedBy: 'me.self.very@spam.com').
	self assert: (self description isSatisfiedBy: 'me.self.very@spam.super.com').
	self assert: (self description isSatisfiedBy: 'me_self@spam.com').
	self assert: (self description isSatisfiedBy: 'me-self@spam.super.com').! !

MAStringDescription subclass: #NAAIMDescription
	instanceVariableNames: 'onlineUrl offlineUrl'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Description'!

!NAAIMDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 3/24/2006 15:59'!
defaultComponentClasses
	^Array with: NAAIMComponent! !

!NAAIMDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 11/12/2005 16:55'!
defaultOfflineUrl
	^'http://www.aim.com/remote/gr/MNB_offline.gif'! !

!NAAIMDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 11/12/2005 16:54'!
defaultOnlineUrl
	^'http://www.aim.com/remote/gr/MNB_online.gif'! !

!NAAIMDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 8/23/2006 09:58'!
defaultReportColumnClasses
	^ Array with: MADescribedComponentColumn with: MADescribedColumn! !

!NAAIMDescription class methodsFor: 'accessing-description' stamp: 'pmm 11/12/2005 16:57'!
descriptionOfflineUrl
	^(MAStringDescription selector: #offlineUrl label: 'Ofline URL' priority: 200)
		default: self defaultOfflineUrl;
		beRequired;
		yourself! !

!NAAIMDescription class methodsFor: 'accessing-description' stamp: 'pmm 11/12/2005 16:57'!
descriptionOnlineUrl
	^(MAStringDescription selector: #onlineUrl label: 'Online URL' priority: 100)
		default: self defaultOnlineUrl;
		beRequired;
		yourself! !

!NAAIMDescription class methodsFor: 'accessing' stamp: 'pmm 11/12/2005 17:11'!
label
	^ 'AIM'! !

!NAAIMDescription methodsFor: 'visiting' stamp: 'pmm 10/3/2007 21:56'!
acceptMagritte: aVisitor
	aVisitor visitAIMDescription: self! !

!NAAIMDescription methodsFor: 'initialize-release' stamp: 'pmm 11/12/2005 16:58'!
initialize
	super initialize.
	self onlineUrl: self class defaultOnlineUrl.
	self offlineUrl: self class defaultOfflineUrl! !

!NAAIMDescription methodsFor: 'accessing' stamp: 'pmm 11/12/2005 16:51'!
offlineUrl
	^offlineUrl! !

!NAAIMDescription methodsFor: 'accessing' stamp: 'pmm 11/12/2005 16:57'!
offlineUrl: aString 
	offlineUrl := aString! !

!NAAIMDescription methodsFor: 'accessing' stamp: 'pmm 11/12/2005 16:51'!
onlineUrl
	^onlineUrl! !

!NAAIMDescription methodsFor: 'accessing' stamp: 'pmm 11/12/2005 16:57'!
onlineUrl: aString 
	onlineUrl := aString! !

MAStringDescription subclass: #NAEmailDescription
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Description'!

NAEmailDescription class
	instanceVariableNames: 'qtextchars'!

!NAEmailDescription commentStamp: 'pmm 8/6/2005 21:29' prior: 0!
see RFC 2822!

NAEmailDescription class
	instanceVariableNames: 'qtextchars'!

!NAEmailDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 3/5/2007 11:11'!
defaultComponentClasses
	^Array with: NAEmailComponent! !

!NAEmailDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 8/23/2006 09:54'!
defaultReportColumnClasses
	^ Array with: MADescribedComponentColumn with: MADescribedColumn! !

!NAEmailDescription class methodsFor: 'class initialization' stamp: 'pmm 8/6/2005 21:15'!
initialize
	"self initialize"
	qtextchars :=
		(((33 to: 126)
			collect: [ :each | each asCharacter ])
			asOrderedCollection
			remove: 34 asCharacter;
			remove: 92 asCharacter;
			remove: $@;
			remove: $.;
			yourself)! !

!NAEmailDescription class methodsFor: 'converting' stamp: 'pmm 11/6/2005 12:24'!
label
	^'Email Address'! !

!NAEmailDescription class methodsFor: 'accessing' stamp: 'pmm 8/6/2005 21:20'!
qtextchars
	^ qtextchars! !

!NAEmailDescription methodsFor: 'visiting' stamp: 'pmm 10/3/2007 21:57'!
acceptMagritte: aVisitor
	aVisitor visitEmailDescription: self! !

!NAEmailDescription methodsFor: 'converting' stamp: 'pmm 11/7/2005 00:55'!
fromString: aString
	^(aString isEmptyOrNil or: [ self isEmailString: aString])
		ifTrue: [ super fromString: aString ]
		ifFalse: [ self error: 'not valid email address' ]! !

!NAEmailDescription methodsFor: 'testing' stamp: 'pmm 8/28/2005 15:42'!
isDomainPart: aString
	^(aString subStrings: '.') in: [ :substrings |
		substrings size >= 2
		and: [
			substrings allSatisfy: [ :each |
				self isQuotedString: each ]]].! !

!NAEmailDescription methodsFor: 'testing' stamp: 'pmm 8/28/2005 15:42'!
isEmailString: aString
	aString ifNil: [ ^false ].
	^ (aString subStrings: '@') in: [ :parts |
		parts size = 2
			and: [ self isLocalPart: parts first ]
			and: [ self isDomainPart: parts second ] ].! !

!NAEmailDescription methodsFor: 'testing' stamp: 'pmm 8/28/2005 15:42'!
isLocalPart: aString
	^(aString subStrings: '.')
		allSatisfy: [ :each |
			self isQuotedString: each ].! !

!NAEmailDescription methodsFor: 'testing' stamp: 'pmm 8/6/2005 21:21'!
isQuotedString: aString
	^ aString isEmpty not
		and: [ aString allSatisfy: [ :each |
			self qtextchars includes: each ]].! !

!NAEmailDescription methodsFor: 'accessing' stamp: 'pmm 8/6/2005 21:21'!
qtextchars
	^self class qtextchars! !

!NAEmailDescription methodsFor: 'testing' stamp: 'nl 1/11/2007 14:50'!
validateSpecific: aString
	super validateSpecific: aString.
	(self isEmailString: aString)
		ifFalse: [ NAInvalidEmailError description: self description signal: self description emailErrorMessage ]! !

MAStringDescription subclass: #NAUrlDescription
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Description'!

!NAUrlDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 3/24/2006 15:58'!
defaultComponentClasses
	^Array with: NAUrlComponent! !

!NAUrlDescription class methodsFor: 'accessing' stamp: 'pmm 3/24/2006 16:01'!
label
	^'URL'! !

!NAUrlDescription methodsFor: 'visiting' stamp: 'pmm 10/3/2007 21:52'!
acceptMagritte: aVisitor
	aVisitor visitUrlDescription: self! !

MAStringDescription subclass: #NAYahooDescription
	instanceVariableNames: 'themeIndex'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Description'!

!NAYahooDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 3/24/2006 15:58'!
defaultComponentClasses
	^Array with: NAYahooComponent! !

!NAYahooDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 8/23/2006 09:58'!
defaultReportColumnClasses
	^ Array with: MADescribedComponentColumn with: MADescribedColumn! !

!NAYahooDescription class methodsFor: 'accessing-defaults' stamp: 'pmm 11/13/2005 00:55'!
defaultThemeIndex
	^2! !

!NAYahooDescription class methodsFor: 'accessing-description' stamp: 'pmm 11/13/2005 00:55'!
descriptionThemeIndex
	^(MASingleOptionDescription selector: #themeIndex label: 'Theme #' priority: 100)
		options: self possibleThemeIndices;
		default: self defaultThemeIndex;
		reference: MANumberDescription new;
		beRequired;
		yourself.! !

!NAYahooDescription class methodsFor: 'accessing' stamp: 'pmm 11/12/2005 17:12'!
label
	^ 'Yahoo!!'! !

!NAYahooDescription class methodsFor: 'private' stamp: 'pmm 11/13/2005 00:53'!
possibleThemeIndices
	^(1 to: 3) asArray! !

!NAYahooDescription methodsFor: 'visiting' stamp: 'pmm 10/3/2007 21:57'!
acceptMagritte: aVisitor
	aVisitor visitYahooDescription: self! !

!NAYahooDescription methodsFor: 'initialize-release' stamp: 'pmm 11/13/2005 00:55'!
initialize
	super initialize.
	self themeIndex: self class defaultThemeIndex! !

!NAYahooDescription methodsFor: 'accessing' stamp: 'pmm 11/13/2005 00:52'!
themeIndex
	^themeIndex! !

!NAYahooDescription methodsFor: 'accessing' stamp: 'pmm 11/13/2005 00:52'!
themeIndex: anInteger 
	themeIndex := anInteger! !

WAComponent subclass: #NADemoComponent
	instanceVariableNames: 'object component'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Test'!

!NADemoComponent class methodsFor: 'testing' stamp: 'pmm 3/5/2007 11:41'!
canBeRoot
	^true! !

!NADemoComponent class methodsFor: 'registration' stamp: 'pmm 3/5/2007 11:42'!
registerAsApplication: aString
	^(super registerAsApplication: aString)
		addLibrary: NALibrary;
		yourself! !

!NADemoComponent methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:34'!
children
	^Array with: self component! !

!NADemoComponent methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:56'!
component
	component isNil ifTrue: [
		component := self object asComponent readonly: true; yourself ].
	^component! !

!NADemoComponent methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:34'!
component: anObject
	component := anObject! !

!NADemoComponent methodsFor: 'actions' stamp: 'pmm 3/5/2007 11:40'!
edit
	| answer |
	answer := self call: (self object asComponent
		addValidatedForm;
		yourself).
	answer isNil ifFalse: [
		self component: nil ]! !

!NADemoComponent methodsFor: 'initialize-release' stamp: 'pmm 3/5/2007 11:57'!
initialize
	super initialize.
	self object: (NADemoObject new
		email: 'xenon@thefriendsociety.com';
		icq: 192427566;
		aim: 'pwncean';
		yahoo: 'alice.harford';
		yourself).
	self registerForBacktracking! !

!NADemoComponent methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:34'!
object
	^object! !

!NADemoComponent methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:34'!
object: anObject
	object := anObject! !

!NADemoComponent methodsFor: 'rendering' stamp: 'pmm 3/5/2007 11:41'!
renderContentOn: html
	html render: self component.
	html anchor
		callback: [ self edit ];
		with: 'edit'! !

Object subclass: #NADemoObject
	instanceVariableNames: 'email icq aim yahoo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Test'!

!NADemoObject class methodsFor: 'accessing-description' stamp: 'pmm 3/5/2007 11:53'!
descriptionAim
	^NAAIMDescription selector: #aim label: 'AIM' priority: 300! !

!NADemoObject class methodsFor: 'accessing-description' stamp: 'pmm 3/5/2007 11:53'!
descriptionEmail
	^NAEmailDescription selector: #email label: 'EMail' priority: 100! !

!NADemoObject class methodsFor: 'accessing-description' stamp: 'pmm 3/5/2007 11:53'!
descriptionIcq
	^NAICQDescription selector: #icq label: 'ICQ' priority: 200! !

!NADemoObject class methodsFor: 'accessing-description' stamp: 'pmm 3/5/2007 11:53'!
descriptionYahoo
	^NAYahooDescription selector: #yahoo label: 'Yahoo' priority: 400! !

!NADemoObject methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:29'!
aim
	^aim! !

!NADemoObject methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:29'!
aim: anObject
	aim := anObject! !

!NADemoObject methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:32'!
email
	^email! !

!NADemoObject methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:32'!
email: anObject
	email := anObject! !

!NADemoObject methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:29'!
icq
	^icq! !

!NADemoObject methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:29'!
icq: anObject
	icq := anObject! !

!NADemoObject methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:38'!
yahoo
	^yahoo! !

!NADemoObject methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:38'!
yahoo: anObject
	yahoo := anObject! !

Object subclass: #NAGravatar
	instanceVariableNames: 'emailAddress addressHash rating size default border url'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Model'!

!NAGravatar commentStamp: 'pmm 8/13/2006 23:58' prior: 0!
http://www.gravatar.com/
http://www.gravatar.com/implement.php!

!NAGravatar class methodsFor: 'accessing-description' stamp: 'pmm 8/14/2006 00:28'!
descriptionBorder
	^(MAColorDescription selector: #border label: 'Border' priority: 500)
		beEditable;
		yourself! !

!NAGravatar class methodsFor: 'accessing-description' stamp: 'pmm 8/14/2006 00:28'!
descriptionDefault
	^(NAUrlDescription selector: #default label: 'Default' priority: 400)
		beEditable;
		yourself! !

!NAGravatar class methodsFor: 'accessing-description' stamp: 'pmm 8/14/2006 00:20'!
descriptionEmailAddress
	^(NAEmailDescription selector: #emailAddress label: 'Email Address' priority: 100)
		beRequired;
		beEditable;
		yourself! !

!NAGravatar class methodsFor: 'accessing-description' stamp: 'pmm 8/14/2006 00:24'!
descriptionRating
	^(MASingleOptionDescription selector: #rating label: 'Rating' priority: 200)
		options: self ratings;
		beEditable;
		yourself! !

!NAGravatar class methodsFor: 'accessing-description' stamp: 'pmm 8/14/2006 00:26'!
descriptionSize
	^(MANumberDescription selector: #size label: 'Size' priority: 300)
		addCondition: [ :value | value between: 1 and: 80 ] asCondition labelled: '1..80';
		default: 80;
		beEditable;
		yourself! !

!NAGravatar class methodsFor: 'accessing-description' stamp: 'pmm 8/14/2006 00:21'!
ratings
	^#(
		'G'
		'PG'
		'R'
		'X'
	)! !

!NAGravatar methodsFor: 'private' stamp: 'pmm 8/14/2006 01:18'!
append: aValueString named: aKeyString to: aStream
	aStream
		nextPut: $&;
		nextPutAll: aKeyString;
		nextPut: $=;
		nextPutAll: aValueString

		! !

!NAGravatar methodsFor: 'accessing' stamp: 'pmm 8/14/2006 00:17'!
border
	^border! !

!NAGravatar methodsFor: 'accessing' stamp: 'pmm 8/14/2006 00:17'!
border: aColor
	border := aColor! !

!NAGravatar methodsFor: 'private' stamp: 'pmm 8/14/2006 09:26'!
computeAddressHash
	| md5 hash |
	(self class environment hasClassNamed: 'MD5')
		ifFalse: [ self error: 'Please load the cryptography package' ].
	md5 := self class environment classNamed: 'MD5'.
	hash := md5 hashMessage: self emailAddress.
	^(String streamContents: [ :stream |
		hash do: [ :each |
			stream nextPutAll: (each printPaddedWith: $0 to: 2 base: 16) ] ]) asLowercase! !

!NAGravatar methodsFor: 'private' stamp: 'pmm 8/14/2006 09:26'!
computeUrl
	^String streamContents: [ :stream |
		stream
			nextPutAll: 'http://www.gravatar.com/avatar.php?gravatar_id=';
			nextPutAll: self computeAddressHash.
		self rating isNil ifFalse: [
			self append: self rating named: 'rating' to: stream ].
		self size isNil ifFalse: [
			self append: self size asString named: 'size' to: stream ].
		self default isNil ifFalse: [
			self append: self default encodeForHTTP named: 'default' to: stream ].
		self border isNil ifFalse: [
			self append: self border hex named: 'border' to: stream ] ]
		! !

!NAGravatar methodsFor: 'accessing' stamp: 'pmm 8/14/2006 00:17'!
default
	^default! !

!NAGravatar methodsFor: 'accessing' stamp: 'pmm 8/14/2006 00:17'!
default: aString
	default := aString! !

!NAGravatar methodsFor: 'accessing' stamp: 'pmm 8/14/2006 00:15'!
emailAddress
	^emailAddress! !

!NAGravatar methodsFor: 'accessing' stamp: 'pmm 8/14/2006 01:03'!
emailAddress: aString
	aString = emailAddress
		ifFalse: [ url = nil ].
	emailAddress := aString! !

!NAGravatar methodsFor: 'accessing' stamp: 'pmm 8/14/2006 00:16'!
rating
	^rating! !

!NAGravatar methodsFor: 'accessing' stamp: 'pmm 8/14/2006 00:16'!
rating: aString
	rating := aString! !

!NAGravatar methodsFor: 'accessing' stamp: 'pmm 8/14/2006 00:17'!
size
	^size! !

!NAGravatar methodsFor: 'accessing' stamp: 'pmm 8/14/2006 00:16'!
size: anInteger
	size := anInteger! !

!NAGravatar methodsFor: 'accessing' stamp: 'pmm 8/14/2006 01:03'!
url
	url isNil ifTrue: [
		url := self computeUrl ].
	^url! !

WAFileLibrary subclass: #NALibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NetworkAddress-Component'!

!NALibrary class methodsFor: 'as yet unclassified' stamp: 'pmm 3/5/2007 11:13'!
initialize
	self register! !

!NALibrary methodsFor: 'uploaded' stamp: 'pmm 3/5/2007 12:11'!
aimPng
	| xxxCache |
	xxxCache := #(nil) beMutable.
	(xxxCache at: 1) isNil ifTrue: [
		xxxCache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 16 6 0 0 0 79 99 35 34 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 11 16 0 0 11 16 1 173 35 189 117 0 0 0 9 118 112 65 103 0 0 0 16 0 0 0 16 0 92 198 173 195 0 0 4 101 73 68 65 84 72 199 173 147 107 80 212 85 24 198 223 255 238 127 255 92 150 93 32 16 129 164 69 185 39 8 46 104 92 228 98 131 44 194 18 141 48 19 145 229 96 24 76 163 97 41 104 72 206 24 154 160 142 183 152 70 133 169 201 5 92 182 241 26 198 144 137 68 226 133 128 242 138 201 98 10 142 202 130 92 68 133 133 133 167 15 71 63 212 204 102 98 231 203 239 195 121 222 231 125 230 57 115 136 38 117 68 238 140 139 19 164 176 106 16 233 245 23 220 15 185 106 45 21 128 221 94 89 57 175 238 73 99 247 185 167 24 37 198 201 237 49 123 148 58 151 76 199 205 130 67 231 212 125 153 159 173 245 106 7 244 63 84 107 67 75 128 67 91 118 218 7 46 1 188 90 20 31 89 87 245 233 152 62 110 248 127 14 144 35 123 111 138 186 112 234 60 192 148 210 90 16 83 2 76 100 95 104 138 237 5 96 115 217 61 254 49 144 151 247 254 108 15 47 128 233 139 42 204 118 57 185 0 198 187 35 222 163 115 144 72 123 77 87 38 148 98 142 136 22 138 156 36 233 68 19 237 220 48 111 32 50 173 30 215 80 249 83 61 188 204 57 137 39 23 0 119 110 207 236 142 49 218 36 47 20 229 136 66 68 43 109 220 228 167 101 253 66 54 209 143 71 207 220 234 203 33 218 83 90 181 227 166 109 247 213 129 91 15 250 199 14 23 221 100 115 183 170 94 176 122 249 7 220 81 46 149 22 125 89 169 204 247 209 91 25 140 245 49 98 229 53 153 5 224 88 97 255 134 32 3 44 60 132 25 162 130 251 67 76 95 234 198 184 38 152 113 174 242 5 3 100 233 163 222 156 29 105 179 118 180 182 189 253 208 199 254 189 64 151 255 113 85 80 20 176 244 97 242 74 39 7 192 191 192 83 176 222 57 220 24 110 8 52 201 181 131 235 35 92 131 98 108 61 0 94 35 62 195 133 31 136 103 62 66 218 115 46 182 106 17 234 36 239 112 203 106 178 247 71 110 72 159 225 7 0 173 163 161 238 0 92 90 54 132 93 7 140 39 154 52 17 41 128 225 243 186 218 176 30 160 183 239 231 223 231 181 2 117 5 101 69 202 12 192 185 212 49 74 168 188 87 198 252 130 234 159 58 243 255 177 250 187 246 187 100 106 254 136 226 138 95 247 140 76 105 52 17 17 183 78 172 34 26 56 250 176 127 162 145 72 203 215 246 26 156 136 70 140 163 93 56 75 247 58 166 117 105 70 174 211 47 231 248 139 171 31 28 123 84 222 183 126 176 115 44 171 77 74 68 13 68 99 187 159 179 129 89 117 222 221 138 53 86 206 221 134 27 227 213 159 134 232 1 84 254 214 22 117 17 24 8 56 173 142 140 1 150 217 167 40 93 111 3 194 44 137 15 215 48 62 194 230 180 157 140 243 23 49 218 171 159 24 122 63 117 126 198 55 20 143 51 166 250 134 236 126 85 33 11 119 154 235 124 124 202 119 86 163 68 24 226 58 249 92 34 219 139 182 113 150 158 68 219 182 230 250 248 29 39 90 87 159 21 239 41 23 89 216 169 100 7 248 59 51 11 216 252 88 44 99 127 245 19 227 235 230 22 150 50 122 173 99 220 148 58 243 93 143 109 82 126 80 125 118 190 198 63 56 2 0 46 205 141 117 5 174 4 31 54 132 79 3 180 13 91 175 6 110 6 238 203 207 76 95 208 8 24 131 46 148 36 246 0 219 189 215 122 250 255 10 216 221 149 103 75 138 175 125 200 252 194 190 125 70 213 25 55 28 94 179 213 242 109 55 13 139 87 36 238 157 90 53 126 173 233 124 229 166 57 94 0 112 41 126 129 39 208 209 90 179 39 82 7 196 46 14 213 56 68 25 125 249 42 241 31 92 250 141 228 180 156 132 132 151 93 77 27 59 110 159 232 136 43 2 140 21 151 11 22 185 1 95 232 86 101 6 104 1 169 220 106 187 216 208 248 61 219 243 138 163 153 0 43 119 38 169 162 95 119 48 2 67 110 231 86 196 124 5 224 147 203 137 113 133 64 235 116 157 49 92 1 196 173 10 63 232 56 205 180 132 154 232 8 69 236 243 101 115 126 47 145 3 89 18 149 13 38 28 139 174 116 174 49 109 252 243 237 83 58 245 126 160 189 242 164 42 41 9 8 120 228 83 101 151 49 113 142 233 151 159 52 19 96 118 159 247 114 69 173 117 126 119 243 79 190 165 45 33 105 192 14 33 175 193 247 107 192 103 96 122 176 180 184 223 253 201 211 244 48 218 21 255 125 222 62 149 219 197 165 81 225 55 126 170 147 145 157 46 185 8 85 233 34 31 187 28 30 43 17 106 36 205 162 172 234 100 166 11 240 55 19 64 170 145 132 241 111 113 249 39 70 157 245 142 7 45 220 0 161 73 114 144 51 158 95 202 238 83 154 25 133 250 127 127 74 133 5 99 245 102 198 45 91 25 167 20 254 83 249 23 128 210 237 186 70 56 188 221 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ xxxCache at: 1! !

!NALibrary methodsFor: 'uploaded' stamp: 'pmm 3/5/2007 12:11'!
icqPng
	| xxxCache |
	xxxCache := #(nil) beMutable.
	(xxxCache at: 1) isNil ifTrue: [
		xxxCache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 16 6 0 0 0 79 99 35 34 0 0 0 6 98 75 71 68 255 255 255 255 255 255 9 88 247 220 0 0 0 9 112 72 89 115 0 0 0 72 0 0 0 72 0 70 201 107 62 0 0 0 9 118 112 65 103 0 0 0 16 0 0 0 16 0 92 198 173 195 0 0 6 105 73 68 65 84 72 199 157 149 105 84 84 247 25 198 159 123 239 236 48 51 32 160 108 178 12 12 56 108 195 128 40 75 16 18 130 101 109 220 130 35 1 146 38 18 122 52 57 138 39 230 160 77 8 39 85 171 22 215 164 38 81 18 109 53 173 6 178 40 40 136 36 18 83 89 141 32 34 37 236 40 32 16 21 100 24 152 59 115 239 253 247 91 62 180 241 156 214 247 235 123 206 251 123 222 47 207 15 120 202 17 127 200 196 136 53 128 100 139 72 38 218 37 54 132 45 210 82 186 103 61 138 150 164 5 72 3 57 55 11 90 21 133 104 101 142 83 122 185 150 210 63 249 14 245 164 69 88 102 240 107 97 247 1 214 139 27 182 220 11 124 78 114 64 181 88 234 244 198 50 161 138 205 23 194 122 123 38 173 35 95 76 156 174 136 112 184 233 214 228 88 154 155 165 112 245 47 147 71 189 50 37 84 218 18 73 57 239 206 29 30 123 96 93 85 230 53 62 62 50 52 222 119 172 79 252 190 66 45 53 89 253 38 27 239 58 78 54 254 15 31 134 173 94 25 180 162 31 208 135 70 157 10 225 142 238 53 28 61 216 101 40 38 68 175 216 254 66 216 35 86 17 20 229 231 19 164 189 253 125 184 111 222 142 112 141 57 109 105 115 159 235 210 78 66 116 145 23 158 215 133 16 18 226 145 154 30 124 96 186 66 147 239 249 177 38 34 49 201 175 194 63 205 239 211 255 230 208 79 10 208 209 88 219 117 205 31 160 183 138 78 48 219 156 54 34 59 124 3 140 0 55 157 89 195 171 36 102 145 89 121 68 36 9 89 193 12 7 186 49 67 138 139 66 181 215 17 161 2 96 195 168 60 214 0 144 67 50 51 54 169 130 101 22 249 70 121 133 231 75 253 235 250 46 245 191 6 215 255 228 136 92 238 123 210 46 247 1 210 70 182 144 47 164 211 234 207 69 193 234 99 107 196 162 69 246 251 68 193 241 5 68 58 3 152 98 6 133 135 127 207 228 103 224 196 49 153 89 156 9 160 135 22 252 131 30 4 4 204 126 37 0 152 215 14 212 207 107 1 161 228 98 60 95 12 208 108 95 38 189 3 38 146 161 180 16 227 182 163 75 164 97 217 129 195 113 28 121 52 31 201 111 59 232 106 183 195 46 215 206 181 119 92 228 89 224 145 177 216 9 152 79 152 45 54 103 103 175 149 229 199 47 150 251 126 200 50 231 211 114 153 171 138 31 56 234 86 27 151 4 80 169 151 90 41 35 32 57 107 14 151 220 4 200 57 235 61 170 10 224 114 250 124 121 9 0 151 111 235 64 0 101 68 247 126 85 36 32 50 38 254 32 122 143 138 194 95 86 105 240 150 161 141 114 173 175 166 40 3 176 181 82 7 111 46 194 222 206 235 140 210 238 205 113 145 251 214 166 243 58 3 48 82 18 179 167 243 254 179 155 168 202 223 250 81 122 197 26 246 249 101 33 108 58 96 251 198 55 201 86 3 80 237 140 142 150 0 114 239 115 246 146 85 24 210 196 121 255 12 86 112 103 187 45 82 12 226 229 123 27 78 142 74 41 218 14 159 70 211 168 71 25 223 147 157 192 119 0 182 184 241 97 91 2 64 37 143 221 162 126 195 119 35 64 216 137 144 225 20 107 254 195 80 110 59 218 24 199 212 107 78 178 46 192 154 50 83 107 149 106 74 132 35 99 203 249 253 73 38 238 70 235 122 238 22 237 72 150 125 91 200 135 0 144 117 90 232 82 32 252 172 102 139 232 43 208 7 125 15 63 192 99 42 42 225 81 124 36 84 164 190 233 66 125 10 28 224 63 221 62 242 12 49 82 203 145 124 149 38 243 200 99 228 181 65 140 28 27 232 27 3 133 116 235 196 46 88 169 88 204 253 129 178 174 100 99 172 177 15 26 232 153 129 209 59 143 115 0 174 214 146 104 115 46 235 133 162 125 138 228 215 72 36 171 219 93 152 108 64 113 218 57 65 22 10 48 180 119 45 253 19 120 161 155 114 19 206 128 224 40 117 23 14 152 133 140 42 7 143 243 228 130 124 57 60 192 50 163 177 19 204 207 182 106 73 207 250 87 37 61 115 61 140 241 141 73 198 200 219 168 140 180 96 42 195 121 59 110 203 103 113 123 67 74 103 116 103 78 103 52 196 12 123 133 116 112 101 192 140 110 228 138 233 61 113 135 253 171 17 11 21 131 57 139 196 45 197 117 178 207 52 6 171 124 249 74 78 13 194 215 15 166 114 91 112 103 250 68 179 129 25 0 215 156 220 152 68 91 132 183 107 190 172 41 196 99 148 143 204 143 71 193 10 53 93 158 234 64 29 34 189 248 49 231 159 104 148 112 228 250 210 17 114 157 73 97 7 197 21 236 40 227 65 94 104 112 33 167 21 223 59 40 57 139 253 208 55 55 68 66 29 199 241 29 0 119 21 176 21 9 13 124 169 121 45 183 251 97 167 213 86 165 153 255 8 224 227 7 94 226 143 131 146 124 48 177 87 102 66 48 21 153 175 23 127 13 250 167 172 22 111 62 144 6 213 97 209 83 187 240 62 173 204 112 163 114 0 254 237 83 177 252 99 124 199 155 250 60 248 89 110 202 86 100 152 178 21 73 100 252 235 55 22 240 249 128 116 152 157 145 94 156 100 249 58 110 29 247 199 185 119 127 105 194 157 143 74 46 22 9 192 241 140 99 39 203 148 254 135 28 219 237 105 149 75 158 82 250 87 89 170 124 254 205 117 50 183 2 39 249 9 7 181 240 251 87 236 132 119 1 54 240 240 215 172 63 32 174 234 223 47 174 2 136 251 254 92 226 14 8 226 210 60 65 12 208 154 234 143 105 141 249 19 97 76 149 37 140 61 28 32 193 252 235 36 184 183 199 182 207 196 219 246 21 27 213 149 202 151 213 149 13 198 95 138 104 207 130 146 244 189 52 224 254 167 197 58 247 219 125 133 242 12 170 212 62 235 196 59 162 2 13 35 86 205 212 209 7 86 207 208 167 0 246 206 172 192 222 2 248 124 235 143 252 102 128 252 107 64 79 186 1 46 252 122 51 23 14 8 176 219 44 48 128 205 71 136 178 45 60 121 143 255 155 89 201 159 137 165 230 48 49 58 135 53 47 70 238 214 59 70 238 110 48 182 108 110 57 217 178 249 87 92 224 147 236 123 217 39 25 32 147 211 44 153 84 39 40 163 67 181 202 232 243 243 76 249 214 98 166 60 161 121 166 123 138 157 233 7 36 155 190 28 23 75 109 185 18 207 254 82 169 239 245 63 99 210 253 28 98 157 245 248 157 112 150 124 62 239 97 209 142 246 176 111 21 240 226 69 146 38 113 122 91 71 151 188 43 189 43 253 255 176 93 220 80 140 57 110 8 208 38 6 222 213 38 174 40 91 210 20 51 185 164 233 202 139 1 153 209 69 1 235 111 94 214 69 5 229 7 94 122 199 219 127 163 143 205 203 230 80 29 244 156 38 32 104 173 75 114 184 167 246 187 144 207 156 47 0 84 35 0 211 83 169 22 0 152 116 251 62 38 29 0 100 11 0 148 170 226 164 123 84 113 234 103 220 174 57 126 224 118 109 225 78 81 33 173 19 21 50 59 153 203 8 101 46 63 53 6 255 6 226 211 196 36 223 119 183 47 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ xxxCache at: 1! !

!NALibrary methodsFor: 'uploaded' stamp: 'pmm 3/5/2007 11:13'!
internetMailPng
	| xxxCache |
	xxxCache := #(nil) beMutable.
	(xxxCache at: 1) isNil ifTrue: [
		xxxCache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 8 6 0 0 0 31 243 255 97 0 0 0 6 98 75 71 68 0 0 0 0 0 0 249 67 187 127 0 0 0 9 112 72 89 115 0 0 11 18 0 0 11 18 1 210 221 126 252 0 0 0 7 116 73 77 69 7 213 6 6 12 23 54 231 47 101 43 0 0 1 179 73 68 65 84 56 203 197 147 65 72 20 97 24 134 159 89 70 247 119 112 23 215 177 173 131 167 234 88 104 23 221 240 212 146 134 134 129 6 65 25 102 97 68 68 224 69 139 60 111 108 219 65 17 4 145 144 78 118 232 32 136 29 234 166 201 222 108 219 14 9 230 213 52 88 171 63 98 254 29 115 103 60 168 131 131 163 16 8 126 199 247 251 222 231 127 127 62 62 56 238 210 130 196 116 38 85 15 228 2 90 23 158 14 12 126 62 148 152 206 164 234 211 153 148 27 84 233 76 202 221 129 7 39 216 125 249 73 255 51 150 22 243 252 150 146 98 209 230 231 250 47 254 252 149 116 223 185 207 139 151 207 125 73 180 131 204 185 124 158 120 252 20 85 85 49 52 45 132 82 54 170 88 36 153 76 250 32 250 158 0 185 219 183 186 249 240 126 134 229 229 111 180 180 92 37 86 93 77 69 133 129 97 24 0 100 179 89 166 167 222 114 175 167 151 137 215 175 114 128 182 23 128 105 214 96 89 54 61 119 31 120 166 221 42 20 10 152 166 137 8 235 68 34 81 79 247 1 132 16 52 54 54 240 110 102 154 75 201 203 0 88 150 133 82 10 165 20 139 95 191 208 126 173 3 33 68 48 0 224 68 60 78 226 98 130 55 147 147 156 61 115 26 128 242 176 206 202 202 15 58 175 119 162 135 252 155 215 131 86 25 141 68 49 99 149 52 95 105 246 180 209 145 33 202 117 13 219 182 17 84 122 122 104 159 219 117 153 155 155 229 198 205 46 79 114 74 155 60 124 244 152 143 243 243 40 101 249 198 247 1 62 45 44 208 218 214 198 230 134 141 235 56 148 254 109 160 161 225 148 28 234 206 159 227 251 234 218 193 95 144 82 210 144 104 218 110 232 97 223 96 25 32 140 8 53 39 107 145 82 6 2 134 199 198 71 251 254 227 142 134 143 228 26 183 0 252 253 172 100 78 184 216 168 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ xxxCache at: 1! !

!NALibrary methodsFor: 'uploaded' stamp: 'pmm 3/5/2007 12:11'!
jabberPng
	| xxxCache |
	xxxCache := #(nil) beMutable.
	(xxxCache at: 1) isNil ifTrue: [
		xxxCache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 16 6 0 0 0 79 99 35 34 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 11 17 0 0 11 17 1 127 100 95 145 0 0 0 9 118 112 65 103 0 0 0 16 0 0 0 16 0 92 198 173 195 0 0 5 73 73 68 65 84 72 199 181 148 123 76 83 103 24 198 223 115 122 122 179 45 61 45 85 238 8 104 148 160 32 51 64 33 241 202 156 232 152 206 43 224 220 212 137 92 36 138 186 137 48 113 131 77 113 16 145 69 208 90 116 234 24 232 152 155 203 152 3 182 176 129 163 147 121 131 195 225 214 33 138 128 168 107 41 172 161 64 239 231 219 31 213 152 72 8 198 100 207 63 111 242 126 249 190 231 247 189 121 242 2 188 32 42 159 156 79 206 7 104 91 235 31 239 31 79 42 233 191 220 59 221 59 19 110 83 23 196 81 226 168 107 63 82 26 201 44 201 172 174 60 202 87 148 34 74 233 240 162 118 137 106 69 181 181 123 233 192 105 113 211 226 14 61 106 63 29 88 20 88 228 231 139 16 66 8 1 104 178 142 101 28 203 128 9 133 191 216 24 13 211 55 233 155 0 172 229 218 88 109 108 92 157 237 87 109 159 182 239 232 71 168 222 172 49 107 140 124 84 106 226 154 184 21 117 204 215 38 48 193 15 89 136 182 116 88 58 238 78 177 191 103 160 13 116 100 170 165 186 39 177 39 241 188 170 189 208 191 201 191 105 105 126 121 108 90 110 90 46 192 208 225 178 3 101 7 96 114 169 118 58 42 125 223 195 211 195 51 225 11 202 64 70 144 17 59 47 181 254 236 27 229 27 197 95 92 39 116 156 247 133 167 132 166 132 2 60 253 169 95 203 59 30 213 30 213 226 180 70 3 71 201 81 238 230 82 49 78 59 156 118 212 246 183 167 207 109 152 219 16 248 126 139 204 83 230 41 123 9 128 42 202 81 239 37 175 225 174 225 78 65 247 143 111 168 216 80 65 236 233 10 90 81 185 162 114 226 123 148 191 32 65 144 0 208 76 136 74 69 165 56 183 233 115 94 63 175 127 223 185 102 41 73 147 116 241 202 150 127 189 115 189 115 249 15 104 155 27 237 70 191 4 200 171 170 213 197 7 124 0 160 229 136 87 145 87 145 116 57 37 22 58 9 157 190 187 68 229 137 228 34 121 228 150 102 92 28 38 14 3 184 115 231 127 2 120 22 190 107 31 60 157 76 13 25 78 134 31 157 74 221 22 159 20 159 204 60 217 112 197 209 127 6 64 76 244 208 141 27 143 189 17 2 0 88 156 134 97 0 0 251 234 102 94 15 88 11 128 60 208 49 238 86 0 126 142 123 106 239 32 0 26 181 154 152 114 128 225 93 244 105 125 13 134 97 24 134 1 168 36 142 119 176 157 68 1 81 96 202 1 31 44 10 139 154 230 215 61 223 209 247 167 38 1 0 168 174 95 152 2 0 144 190 78 238 230 180 30 192 176 240 110 81 154 43 0 226 51 25 68 18 128 245 230 240 89 144 1 0 160 223 213 211 1 122 114 196 162 163 238 234 186 133 5 33 191 193 99 118 132 203 235 46 201 68 185 65 83 163 169 209 204 136 193 87 115 5 92 65 251 45 223 96 48 128 1 0 214 59 92 240 137 1 44 63 13 29 7 0 48 59 233 178 217 103 0 208 98 230 2 179 17 0 239 226 176 190 76 1 192 206 99 169 245 86 0 102 208 82 140 87 26 203 10 211 254 105 5 182 62 70 53 93 181 12 96 116 191 106 179 106 243 210 179 240 153 221 96 55 204 222 142 183 241 8 30 81 221 37 210 186 43 220 21 0 33 33 147 0 160 64 233 197 128 141 0 240 33 191 68 150 175 207 0 29 103 173 164 189 168 10 88 210 222 80 81 115 32 0 22 67 140 201 252 97 8 102 192 188 42 215 238 218 21 133 0 208 43 216 224 165 240 82 188 97 96 202 70 220 70 220 50 125 176 57 156 100 78 242 185 63 167 134 198 83 241 84 219 14 226 166 115 131 115 195 115 31 236 69 99 245 167 97 137 97 137 0 216 57 22 195 50 122 222 178 131 254 186 94 27 249 7 235 22 95 32 44 254 62 124 240 72 209 229 5 7 44 219 241 77 15 34 27 180 174 109 210 5 222 49 158 251 159 180 89 246 110 107 165 232 184 18 235 110 77 137 38 33 174 6 155 3 167 224 212 121 57 223 59 136 27 196 189 186 204 246 173 222 89 239 108 123 119 110 176 58 73 157 244 220 111 92 6 240 8 129 68 32 1 192 185 252 126 254 40 82 88 218 31 182 61 172 90 126 217 186 72 227 164 17 205 238 22 151 108 223 58 124 234 74 2 75 201 45 22 68 152 35 153 169 156 93 189 245 238 191 216 88 58 182 174 52 154 100 124 198 188 199 14 127 178 218 222 131 76 200 68 229 97 21 247 42 239 85 194 87 193 193 3 209 3 209 227 39 61 14 192 120 137 54 209 38 0 86 50 153 77 102 251 228 96 85 236 114 118 249 99 103 214 25 169 175 212 111 44 218 62 48 220 58 188 111 125 30 19 73 132 140 221 31 218 134 226 109 111 217 212 88 61 58 100 86 153 133 215 100 248 199 252 131 252 131 84 42 107 16 91 130 45 1 8 86 14 44 26 88 52 113 210 198 1 48 18 243 9 243 9 0 142 90 34 151 200 45 111 91 247 63 105 124 210 72 90 128 205 180 48 45 210 66 188 145 167 226 169 6 139 113 15 225 168 112 148 99 179 245 233 102 234 102 138 98 145 194 254 200 254 232 65 54 182 9 101 161 44 128 215 90 45 200 130 96 82 141 11 33 131 27 109 70 27 0 214 199 169 230 84 11 191 193 254 102 229 177 242 132 22 252 12 47 147 151 217 154 0 209 44 103 150 179 122 157 125 229 176 114 88 57 162 37 72 25 41 35 59 230 177 47 186 166 187 166 119 94 39 14 185 92 117 185 58 185 241 132 33 236 149 36 133 39 133 3 240 121 65 236 32 54 158 58 176 69 209 173 232 150 135 217 250 117 86 157 117 157 15 227 97 220 99 220 227 150 143 41 112 2 39 152 65 162 202 101 149 203 42 101 232 136 161 51 160 51 160 161 64 254 166 99 19 62 91 72 147 233 63 164 8 64 195 48 117 24 154 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ xxxCache at: 1! !

!NALibrary methodsFor: 'uploaded' stamp: 'pmm 3/5/2007 12:11'!
msnPng
	| xxxCache |
	xxxCache := #(nil) beMutable.
	(xxxCache at: 1) isNil ifTrue: [
		xxxCache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 16 6 0 0 0 79 99 35 34 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 0 72 0 0 0 72 0 70 201 107 62 0 0 0 9 118 112 65 103 0 0 0 16 0 0 0 16 0 92 198 173 195 0 0 6 16 73 68 65 84 72 199 149 85 107 84 147 103 18 126 190 228 75 66 66 66 12 33 64 185 139 162 180 22 93 108 180 32 10 8 85 40 106 181 86 208 170 181 182 226 101 203 90 133 30 234 89 87 90 5 87 91 47 171 28 5 234 101 143 216 165 98 21 181 222 206 81 170 168 168 5 139 55 130 237 86 37 64 8 193 72 32 247 124 151 92 248 250 131 117 255 116 221 214 249 51 243 158 121 231 121 102 230 157 51 47 240 34 146 254 204 8 184 37 61 24 244 119 85 113 74 69 208 149 225 212 136 125 115 50 36 71 3 39 41 67 146 223 24 242 203 98 254 40 36 241 123 23 98 27 212 79 38 254 3 24 104 211 83 221 226 87 203 255 36 205 222 145 19 191 201 49 162 80 221 52 177 125 202 135 188 211 126 105 226 68 137 177 47 221 176 179 247 51 87 109 123 213 143 116 179 182 97 182 246 135 27 61 87 171 55 94 150 204 83 222 8 106 125 248 185 101 78 231 114 237 170 23 40 150 39 227 207 231 127 241 236 36 223 152 94 243 65 249 242 232 179 222 47 201 166 136 59 31 113 220 225 94 195 120 83 45 199 85 68 63 220 218 181 151 227 54 140 107 188 214 50 145 227 22 188 180 239 224 215 43 57 110 100 198 116 255 28 77 93 234 80 188 116 27 86 19 66 34 229 127 240 60 47 1 217 6 213 199 193 249 128 164 43 48 73 153 16 183 44 122 251 184 247 19 139 147 187 21 63 135 156 13 77 1 68 55 4 49 130 67 0 153 207 87 240 47 3 188 41 188 249 132 1 144 116 42 55 41 179 1 69 253 200 45 163 19 82 255 70 190 237 31 39 77 24 117 84 20 47 175 28 118 242 183 60 228 243 18 224 70 114 193 28 1 160 11 63 113 87 137 69 52 197 120 152 97 132 120 96 134 37 197 66 227 130 243 132 179 197 181 28 96 202 216 215 152 91 128 227 186 179 193 85 5 48 18 58 146 93 10 248 182 115 223 160 92 176 141 168 224 111 33 123 5 45 68 21 191 132 223 15 254 31 238 128 195 102 162 76 74 128 74 55 59 204 202 199 167 180 115 239 29 187 59 251 54 79 27 241 168 190 125 63 208 245 165 254 231 158 106 64 111 51 84 61 9 6 158 118 152 162 250 139 129 190 228 39 178 39 211 128 129 147 218 145 143 21 247 101 158 48 123 174 117 64 91 194 70 216 58 173 229 47 48 3 207 36 38 54 201 60 249 4 32 94 171 24 19 152 63 99 205 4 122 209 228 165 164 105 210 123 181 95 47 59 190 140 227 242 106 170 51 143 173 226 184 217 81 85 252 195 185 28 55 166 110 94 231 66 139 69 35 138 147 183 40 134 231 170 94 217 181 48 224 131 121 207 199 39 255 63 189 168 89 184 195 115 145 137 121 211 156 215 177 150 42 92 251 49 57 54 51 237 74 134 65 126 75 250 69 120 118 68 42 96 93 100 255 198 121 26 112 109 162 238 83 25 64 152 64 182 71 178 89 166 9 93 26 12 149 245 147 178 7 173 151 46 94 252 156 11 5 144 140 186 51 17 67 184 110 245 51 134 255 190 73 72 95 76 72 204 46 192 83 78 63 162 143 132 175 123 35 113 241 164 37 134 82 229 91 245 5 53 171 63 218 56 48 190 43 187 116 70 97 252 220 160 128 200 154 40 17 63 159 203 132 30 44 48 184 158 163 56 127 192 151 225 219 226 91 2 64 44 242 243 139 227 141 13 32 35 138 163 67 34 212 126 73 74 158 138 159 93 206 230 210 123 153 116 255 153 246 19 134 50 253 249 59 151 201 34 191 115 226 2 198 200 143 91 149 104 28 95 13 216 254 217 191 203 84 63 106 206 91 109 5 39 87 27 191 186 150 117 58 223 183 242 194 187 73 146 240 48 79 228 183 126 239 185 27 189 193 222 76 192 187 195 219 235 45 3 232 36 230 41 91 4 48 81 12 195 172 6 232 80 122 43 243 20 160 166 208 55 233 64 128 138 100 6 221 43 0 114 134 188 82 241 88 52 147 79 4 188 60 44 45 57 133 61 195 76 96 154 2 117 246 75 221 11 59 47 55 135 147 90 186 149 190 175 140 154 243 142 161 104 160 248 175 187 183 165 156 90 176 98 113 86 86 156 181 205 179 222 247 47 192 54 179 187 185 167 20 80 241 148 117 138 80 128 202 97 30 242 254 2 120 231 122 174 121 87 2 180 150 93 197 86 2 244 84 230 38 115 4 96 207 177 41 238 90 128 249 145 21 179 107 0 42 151 106 162 92 0 185 75 217 175 154 70 106 2 231 171 119 39 181 45 75 117 78 176 54 89 44 206 5 100 162 43 59 46 103 231 154 218 209 13 153 19 167 19 89 211 122 4 230 43 182 10 92 239 236 209 29 239 22 2 65 99 20 73 195 234 0 81 178 48 75 24 13 112 118 108 228 118 2 190 32 223 102 159 18 96 187 220 10 247 1 128 110 97 174 176 243 0 106 1 253 54 195 2 204 58 102 22 235 2 232 151 233 241 76 33 224 90 236 164 93 235 128 193 89 82 190 28 130 70 242 110 160 81 213 148 243 103 30 217 47 139 146 183 168 43 123 221 182 233 206 60 222 245 187 29 154 210 7 109 64 91 222 213 155 13 58 192 86 98 90 216 183 30 176 30 114 152 29 6 192 106 180 125 98 159 12 216 78 217 237 142 155 128 93 231 24 238 108 6 156 241 206 247 93 74 192 89 78 85 83 227 0 42 128 73 103 116 0 37 166 62 165 142 1 198 197 247 252 91 82 61 13 150 170 127 95 124 144 105 125 211 237 54 143 238 207 185 154 77 234 190 250 169 238 193 129 239 116 246 86 114 179 40 61 110 186 237 184 253 7 71 137 103 166 173 160 53 225 118 77 35 167 220 239 207 136 147 166 198 122 247 112 181 168 8 159 37 20 250 15 151 118 2 131 122 132 64 10 120 143 120 197 94 2 96 171 221 149 238 18 128 54 211 3 116 44 224 148 90 191 183 9 0 243 133 46 126 135 154 54 153 243 53 43 238 120 14 170 157 210 158 246 238 13 71 52 184 228 147 123 207 254 50 245 63 159 145 40 141 24 20 239 149 24 71 23 225 56 214 162 100 240 4 55 159 246 82 7 218 117 178 236 208 210 176 224 215 246 171 138 226 243 198 88 23 5 202 47 69 214 68 29 77 126 69 88 47 211 7 88 131 239 15 158 39 92 196 18 65 159 251 12 125 136 217 206 198 208 5 86 214 50 202 244 186 93 99 44 235 253 69 163 183 63 210 13 118 20 158 141 165 230 26 246 232 37 245 34 34 159 84 147 247 28 119 185 131 222 219 222 196 23 94 75 100 194 144 14 35 121 156 208 36 218 154 184 83 240 170 255 45 233 237 228 52 194 35 120 73 80 62 182 113 200 31 170 27 210 130 113 191 135 248 43 85 255 200 26 150 73 142 70 0 0 0 26 122 84 88 116 83 111 102 116 119 97 114 101 0 0 120 218 11 206 79 201 44 200 79 201 4 0 14 76 3 60 207 146 7 64 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ xxxCache at: 1! !

!NALibrary methodsFor: 'accessing' stamp: 'pmm 3/5/2007 11:14'!
selectorsToInclude
	^#(
		typeCss
	)! !

!NALibrary methodsFor: 'uploaded' stamp: 'pmm 3/5/2007 12:09'!
typeCss
	^
'input.email-field {
   background: url(/seaside/files/NALibrary/internetMail.png) no-repeat;
   background-color: #fff;
   background-position: 0 50%;
   color: #000;
   padding-left: 18px;
}

input.aim-field {
   background: url(/seaside/files/NALibrary/aim.png) no-repeat;
   background-color: #fff;
   background-position: 0 50%;
   color: #000;
   padding-left: 18px;
}

input.icq-field {
   background: url(/seaside/files/NALibrary/icq.png) no-repeat;
   background-color: #fff;
   background-position: 0 50%;
   color: #000;
   padding-left: 18px;
}

input.yahoo-field {
   background: url(/seaside/files/NALibrary/yahoo.png) no-repeat;
   background-color: #fff;
   background-position: 0 50%;
   color: #000;
   padding-left: 18px;
}'! !

!NALibrary methodsFor: 'uploaded' stamp: 'pmm 3/5/2007 12:11'!
yahooPng
	| xxxCache |
	xxxCache := #(nil) beMutable.
	(xxxCache at: 1) isNil ifTrue: [
		xxxCache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 16 6 0 0 0 79 99 35 34 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 11 17 0 0 11 17 1 127 100 95 145 0 0 0 9 118 112 65 103 0 0 0 16 0 0 0 16 0 92 198 173 195 0 0 6 100 73 68 65 84 72 199 197 149 107 80 83 103 26 199 159 115 78 66 72 72 150 155 220 18 54 9 80 150 138 217 148 0 133 22 107 97 169 183 120 169 180 70 182 174 84 43 184 165 41 173 78 29 169 29 107 25 181 181 163 198 74 91 233 84 176 83 139 21 221 82 180 148 162 21 106 105 195 10 40 88 117 17 33 76 128 132 0 33 21 66 136 228 114 114 206 201 121 247 67 232 236 76 47 211 126 219 255 151 255 188 207 135 247 247 127 158 121 230 125 1 33 132 16 2 248 153 71 206 251 35 243 30 148 77 100 19 249 123 249 20 81 65 84 8 246 38 236 13 105 8 105 136 126 53 89 39 28 20 14 138 241 36 175 88 34 150 60 132 135 85 232 142 232 142 76 156 128 22 237 45 237 173 243 25 240 187 194 230 1 233 243 199 179 1 39 180 135 155 15 55 31 251 155 96 166 58 190 58 190 170 60 247 21 89 151 172 43 108 187 230 197 7 157 15 58 227 124 153 218 224 201 224 73 236 92 240 17 191 201 111 242 149 249 230 44 183 45 183 167 7 141 141 61 77 61 77 150 45 223 189 104 85 89 85 142 145 11 231 133 148 144 138 201 183 168 93 65 174 32 219 158 95 73 16 8 128 207 119 202 223 112 40 231 80 206 17 107 226 168 106 70 53 179 40 162 146 187 127 253 254 245 91 171 135 183 14 111 26 222 84 255 220 172 134 153 101 102 245 173 116 31 91 196 22 53 87 32 196 74 88 201 41 41 51 108 223 104 223 120 32 254 254 209 198 246 198 118 141 126 226 142 58 71 157 35 85 124 123 149 19 203 137 5 247 178 226 121 92 222 111 4 32 20 122 153 94 118 85 27 233 204 220 145 185 227 175 142 99 21 181 234 90 245 107 186 201 221 254 19 254 19 215 96 174 6 33 132 110 173 247 215 34 132 80 155 6 109 69 8 161 179 242 128 87 22 162 18 132 16 218 125 147 221 140 16 66 219 22 146 111 14 153 135 204 106 197 143 142 130 119 11 222 141 30 191 230 11 208 50 215 113 141 92 35 246 218 255 248 28 12 195 48 12 243 247 37 116 38 116 38 134 103 15 111 54 111 54 47 57 249 164 171 200 82 100 81 167 9 247 225 165 120 41 75 11 87 0 0 144 143 195 113 208 195 65 239 121 216 0 51 32 50 246 0 31 158 130 237 136 7 8 140 208 38 99 49 51 114 160 219 14 138 119 73 110 146 75 253 147 17 241 59 68 59 68 113 36 210 24 204 6 243 156 168 44 207 32 55 200 189 135 180 251 3 120 50 13 47 59 87 118 174 98 27 111 85 76 73 76 9 127 174 96 180 176 179 176 115 113 85 228 69 252 2 126 129 124 88 160 6 0 32 31 128 250 73 245 253 169 232 49 200 184 30 49 44 142 234 5 190 163 223 217 22 119 0 192 115 133 134 60 35 96 221 55 76 217 57 34 72 24 253 206 182 48 55 29 94 96 194 153 6 118 23 231 51 69 181 162 154 176 134 136 243 248 121 252 16 93 70 86 0 156 26 253 211 4 240 102 123 179 189 97 95 220 113 229 90 229 90 241 68 250 234 228 250 228 250 80 171 160 3 0 96 106 6 95 202 230 179 118 215 65 136 63 147 123 229 169 22 15 192 171 217 85 79 28 150 2 12 43 172 38 172 11 224 118 133 169 127 110 10 160 236 210 161 188 215 71 0 174 196 244 110 29 127 1 8 255 62 122 59 202 128 44 162 147 232 244 37 243 74 211 34 211 34 57 207 68 61 28 182 32 108 1 70 165 118 74 122 36 61 132 30 128 144 118 75 187 147 46 74 82 83 228 41 114 94 113 9 95 205 85 115 19 111 44 144 99 91 176 45 142 96 136 96 111 177 90 139 30 98 152 93 244 75 220 1 0 241 154 200 105 97 48 64 230 189 164 44 131 19 32 216 200 121 223 121 23 64 228 16 150 199 175 5 72 255 74 118 109 228 45 0 241 146 232 186 145 157 64 80 163 20 199 203 195 238 210 95 209 23 169 42 118 81 187 189 221 78 118 245 171 43 115 43 115 195 219 218 191 224 160 60 148 135 63 192 246 49 114 70 238 121 155 170 66 14 228 176 22 249 235 49 55 102 158 211 16 6 66 198 104 237 75 65 185 228 188 162 149 202 2 88 124 44 85 65 77 2 112 203 131 250 156 143 1 160 21 200 105 4 128 109 13 81 71 49 3 0 209 4 181 179 18 0 38 146 17 120 162 129 96 11 217 74 223 82 248 196 35 247 184 125 165 72 67 39 210 137 236 74 82 165 223 163 223 227 246 2 224 204 78 102 167 32 108 34 205 56 96 28 176 9 251 254 101 171 181 213 142 74 221 94 8 1 249 244 7 232 7 159 171 69 48 182 7 60 76 223 215 248 120 24 0 119 150 46 119 44 7 128 88 56 224 171 1 192 12 112 216 163 4 224 140 79 167 76 231 2 248 254 121 54 199 117 20 128 108 25 62 227 93 5 14 175 202 215 68 242 25 69 175 167 215 67 142 122 31 29 83 141 169 216 199 205 227 53 154 26 141 247 50 0 65 177 20 59 114 199 215 52 142 198 145 123 109 120 72 210 205 164 155 92 54 27 79 59 173 210 241 164 60 1 182 82 120 135 30 224 24 232 43 93 103 102 159 135 20 42 81 47 117 173 6 46 173 248 79 172 247 25 0 250 235 174 58 178 7 192 167 251 247 167 228 99 0 140 55 234 27 170 24 40 119 74 210 247 100 19 108 183 46 191 23 77 246 186 77 117 198 58 9 185 205 50 58 112 112 224 32 122 231 195 141 116 43 221 10 159 219 223 227 220 63 117 255 212 79 27 73 149 55 46 63 105 62 105 30 188 180 174 66 57 169 52 225 178 140 246 135 188 170 77 60 63 177 139 147 80 18 29 108 227 94 103 118 154 10 220 63 66 177 63 212 86 76 29 135 120 148 142 93 160 63 2 140 101 226 195 169 211 96 246 60 43 76 38 11 224 157 153 80 71 40 249 25 41 106 59 246 45 199 247 177 123 221 245 168 235 17 126 115 139 51 64 50 190 255 139 7 73 36 20 9 137 122 0 144 130 20 150 63 186 116 69 235 138 214 136 79 175 102 93 214 93 126 59 181 255 94 195 216 75 99 223 43 23 187 107 71 195 44 35 41 133 140 125 232 239 166 69 178 73 22 13 182 14 189 28 23 194 162 190 139 119 201 136 191 48 77 93 252 46 169 192 233 218 173 11 210 113 56 101 182 133 201 120 50 14 95 54 74 3 20 233 159 126 241 23 252 188 32 94 35 94 195 237 7 176 198 89 227 232 127 100 140 165 132 167 132 7 15 238 186 150 95 147 95 35 120 227 145 210 180 149 105 43 57 131 11 246 9 38 4 19 254 207 133 103 152 124 38 159 250 0 102 166 248 83 124 186 206 245 231 27 221 55 186 233 57 27 116 104 59 180 126 229 55 111 78 44 155 88 6 39 117 202 192 237 166 223 15 240 235 18 110 192 87 225 171 224 233 172 245 177 29 177 29 132 33 167 93 64 8 8 120 57 161 152 237 102 187 209 151 224 114 81 46 10 181 13 189 55 165 156 82 34 170 61 20 49 136 1 248 97 190 115 242 192 31 227 252 31 244 95 9 74 56 219 72 49 40 95 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ xxxCache at: 1! !
NAEmailDescription initialize!
NALibrary initialize!
